Search agent user profiles

This request searches for Agent User profiles.

   Click here to learn more about this request

Agent User profiles represent the users who have access to your LoanPro environment. This request uses OpenSearch to search for Agent User profiles stored within your environment.

For an example of how Agent Users are created within the UI, take a look at our Agent Users article.

{
    "query": {
        "bool": {
            "must": [
                {
                    "bool": {
                        "should": [
                            {
                                "query_string": {
                                    "query": "*John*",
                                    "fields": [
                                        "firstName",
                                        "lastName",
                                        "fullName",
                                        "userName"
                                    ]
                                }
                            }
                        ]
                    }
                },
                {
                    "match": {
                        "tenantActiveStatus": "1"
                    }
                }
            ]
        }
    }
}
Query Params
string
Defaults to id asc

Lists the results in either ascending or descending order based on a chosen parameter. Most common parameters to order results by are id, firstName, and lastName

boolean
Defaults to true

Lists all results without paginating.
> Using nopagingcould result in long response times. Please use with caution.

Body Params
query
object
Headers
string
enum
Defaults to application/json

Generated from available response content types

Allowed:
Responses

Language
Credentials
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json